Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.cwe
Class CweDB

    java.lang.Object
      org.owasp.dependencycheck.data.cwe.CweDB

    public final class CweDB

extends Object

Author:
  Jeremy Long (jeremy.long@owasp.org)

Method Summary
`static String` | `getCweName(String cweId)` Returns the full CWE name from the CWE ID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCweName

    public static String getCweName(String cweId)

  Returns the full CWE name from the CWE ID.

  Parameters:
    `cweId` - the CWE ID
  Returns:
    the full name of the CWE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.